org.eclipse.january.dataset

## Class Operations.DivisionWithZero

- java.lang.Object
- - org.eclipse.january.dataset.Operations.Division
  - - org.eclipse.january.dataset.Operations.DivisionWithZero

- All Implemented Interfaces:
    BinaryOperation, IOperation
  Enclosing class:
    Operations

      public static class Operations.DivisionWithZero
      extends Operations.Division

  Division with boolean and of negated second operand and returns zero if denominator is zero

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.BinaryOperation

      `BinaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operations.DivisionWithZero()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`

    - ### Methods inherited from class org.eclipse.january.dataset.Operations.Division

      `booleanOperate, longOperate, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operations.DivisionWithZero

          public Operations.DivisionWithZero()

  - ### Method Detail

    - #### doubleOperate

          public double doubleOperate(double a,
                             double b)

      Specified by:
        `doubleOperate` in interface `BinaryOperation`
      Overrides:
        `doubleOperate` in class `Operations.Division`
      Returns:
        a op b

    - #### complexOperate

          public void complexOperate(double[] out,
                            double ra,
                            double ia,
                            double rb,
                            double ib)

      Specified by:
        `complexOperate` in interface `BinaryOperation`
      Overrides:
        `complexOperate` in class `Operations.Division`
      Parameters:
        `out` - holds (ra, ia) op (rb, ib)

Copyright © 2014–2017 Eclipse Foundation. All rights reserved.